List all currencies
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/currency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/currency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/currency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/currency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/currency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "currency_001",
"code": "NGN",
"name": "Nigerian Naira",
"active": true
},
{
"id": "currency_002",
"code": "CAD",
"name": "Canadian Dollar",
"active": true
},
{
"id": "currency_003",
"code": "USD",
"name": "United States Dollar",
"active": true
},
{
"id": "currency_004",
"code": "EUR",
"name": "Euro",
"active": true
},
{
"id": "currency_005",
"code": "GBP",
"name": "British Pound",
"active": true
}
]{
"message": "Invalid or missing access token"
}Currency
List all currencies
Retrieve all supported currencies. Required scope: currency:read.
GET
/
api
/
external
/
currency
List all currencies
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Was this page helpful?
⌘I

